## com.imcode.imcms.servlet
Interface DocumentFinder.SearchResultColumn

All Superinterfaces:
  java.io.Serializable

All Known Implementing Classes:
  AdminManager.DatesSummarySearchResultColumn

Enclosing class:
  DocumentFinder

    public static interface DocumentFinder.SearchResultColumn

extends java.io.Serializable

Method Summary
`LocalizedMessage` `getName()`
`java.lang.String` `render(DocumentDomainObject document, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`

Method Detail

### render

    java.lang.String render(DocumentDomainObject document,
                            javax.servlet.http.HttpServletRequest request,
                            javax.servlet.http.HttpServletResponse response)
                            throws java.io.IOException,
                                   javax.servlet.ServletException

  Throws:
    `java.io.IOException`
    `javax.servlet.ServletException`

### getName

    LocalizedMessage getName()